## visad.java2d
Class ProjectionControlJ2D

    java.lang.Object
      visad.Control
          visad.ProjectionControl
              visad.java2d.ProjectionControlJ2D

All Implemented Interfaces:
  Cloneable, Serializable

public class ProjectionControlJ2D
extends ProjectionControl

ProjectionControlJ2D is the VisAD class for controlling the Projection from 3-D to 2-D. It manipulates a TransformGroup node in the scene graph.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.ProjectionControl
`INVSCALE2D, matrix, MATRIX2D_LENGTH, MATRIX2D_MAJOR, MATRIX2D_MINOR, MATRIX3D_LENGTH, MATRIX3D_MAJOR, MATRIX3D_MINOR, SCALE2D`

Fields inherited from class visad.Control
``

Constructor Summary
`ProjectionControlJ2D(DisplayImpl d)` Construct a new ProjectionControl for the display in question.

Method Summary
`void` `setAspect(double[] aspect)` Set aspect ratio of axes.
`void` `setMatrix(double[] m)` Set the matrix that defines the graphics projection

Methods inherited from class visad.ProjectionControl
`clearSwitches, clone, equals, getAspectCartesian, getMatrix, getSavedProjectionMatrix, getSaveString, matrix2DTo3D, matrix3DTo2D, matrixDConvert, resetProjection, saveProjection, setAspectCartesian, setSaveString, syncControl, toString`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, getDisplay, getDisplayRenderer, getInstanceNumber, incTick, nullControl, peekTicks, removeControlListener, resetTicks, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectionControlJ2D

    public ProjectionControlJ2D(DisplayImpl d)
                         throws VisADException

  Construct a new ProjectionControl for the display in question.

Parameters:
  `d` - display to control.
Throws:
  `VisADException` - some VisAD error

Method Detail

### setMatrix

    public void setMatrix(double[] m)
                   throws VisADException,
                          RemoteException

  Set the matrix that defines the graphics projection

  Overrides:
    `setMatrix` in class `ProjectionControl`
  Parameters:
    `m` - array of the matrix values (6 elements in Java2D case)
  Throws:
    `VisADException` - some VisAD error
    `RemoteException` - Java RMI failure.

### setAspect

    public void setAspect(double[] aspect)
                   throws VisADException,
                          RemoteException

  Set aspect ratio of axes.

  Specified by:
    `setAspect` in class `ProjectionControl`
  Parameters:
    `aspect` - ratios; 2 elements for Java2D
  Throws:
    `VisADException` - invalid array length or some other VisAD failure.
    `RemoteException` - Java RMI failure.